var express = require('express');
var router = express.Router();
var Adapay = require('../utils/sdk/adapay-sdk/pay/AdaPay')
// var Adapay = require('../Adapay-node-sdk/adapay-sdk/pay/AdaPay')
const {resolve} = require('path')

/**
 *  取现
 * @param {Object} kwargs 
 * 参数说明
    order_no	String(64)	Y	订单号，只能是英文、数字或者下划线的组合，保证在商户应用id下唯一
    app_id	String(64)	Y	商户的应用 id
    cash_type	String(2)	Y	T1,目前只支持 T1 取现
    cash_amt	String(16)	Y	取现金额（必须大于0），人民币为元，保留两位小数点，如0.10、100.05等
    member_id	String(64)	Y	用户对象 的 id；若是商户本身时，传入 0
    notify_url	String(250)	N	异步通知地址，默认使用轻量、简单 MQTT 通知（强烈建议使用），url为http/https 路径，服务器 POST 回调，请不要地址上带有参数。
 */
router.post('/create_cashs', async function(req, res, next) {
    try {
        let { env, prod_mode, merchantNO,
            app_id, order_no, cash_type, cash_amt, member_id, notify_url
        } = req.body

        Adapay.Config.prod_mode = prod_mode
        
        let configFilePath = ''
        if (parseInt(env) === 1) { // 生产环境
            // configFilePath = resolve('./utils/merchantConfig.json')
            Adapay.Config.config_dirname = resolve('./utils/config_release')
        }else{
            // configFilePath = resolve('./utils/merchantConfigTest.json')
            Adapay.Config.config_dirname = resolve('./utils/config_test')
            Adapay.Config.base_url = "https://api-test.adapay.tech"
        }
        // Adapay.set_merchant_path(configFilePath)
        Adapay.set_group_merchant_path(merchantNO || "yifuyun")

        let result = await Adapay.Cashs.createCashs({
            app_id, order_no, cash_type, cash_amt, member_id, notify_url
        })
        res.json({
            message: "请求成功",
            data: result,
            code: 0
        })
    } catch (error) {
        res.json({
            message: error.toString(),
            code: -1
        })
    }
});


/**
 *  取现状态查询
 * @param {Object} kwargs 
 * 参数说明
    订单号	order_no	变长64位String	Y
 */
router.post('/query_cashs_stat', async function(req, res, next) {
    try {
        let { env, prod_mode, merchantNO,
            order_no
        } = req.body

        Adapay.Config.prod_mode = prod_mode
        
        let configFilePath = ''
        if (parseInt(env) === 1) { // 生产环境
            // configFilePath = resolve('./utils/merchantConfig.json')
            Adapay.Config.config_dirname = resolve('./utils/config_release')
        }else{
            // configFilePath = resolve('./utils/merchantConfigTest.json')
            Adapay.Config.config_dirname = resolve('./utils/config_test')
            Adapay.Config.base_url = "https://api-test.adapay.tech"
        }
        // Adapay.set_merchant_path(configFilePath)
        Adapay.set_group_merchant_path(merchantNO || "yifuyun")

        let result = await Adapay.Cashs.queryCashsStat({
            order_no
        })
        res.json({
            message: "请求成功",
            data: result,
            code: 0
        })
    } catch (error) {
        res.json({
            message: error.toString(),
            code: -1
        })
    }
});

module.exports = router;
