var express = require('express');
var router = express.Router();
var Adapay = require('../utils/sdk/adapay-sdk/pay/AdaPay')
// var Adapay = require('../Adapay-node-sdk/adapay-sdk/pay/AdaPay')
var Utils = require('../utils/Utils')
const {resolve} = require('path')

// 创建退款订单
router.post('/create', async function (req, res, next) {
    try {
        let { env, prod_mode, refund_amt, payment_id, refund_order_no, notify_url, merchantNO } = req.body

        Adapay.Config.prod_mode = prod_mode

        let configFilePath = ''
        if (parseInt(env) === 1) { // 生产环境
            // configFilePath = resolve('./utils/merchantConfig.json')
            Adapay.Config.config_dirname = resolve('./utils/config_release')
        }else{
            // configFilePath = resolve('./utils/merchantConfigTest.json')
            Adapay.Config.config_dirname = resolve('./utils/config_test')
            Adapay.Config.base_url = "https://api-test.adapay.tech"
        }
        // Adapay.set_merchant_path(configFilePath)
        Adapay.set_group_merchant_path(merchantNO || "yifuyun")

        let obj = Utils.checkObject({
            refund_order_no: refund_order_no,
            payment_id: payment_id,
            refund_amt: refund_amt,
            notify_url: notify_url
        })

        let result = await Adapay.Refund.create(obj)
        res.json({
            message: "请求成功",
            data: result,
            code: 0
        })
    } catch (error) {
        res.json({
            message: error.toString(),
            code: -1
        })
    }
})

// 查询退款状态
router.post('/query', async function (req, res, next) {
    try {
        let { env, prod_mode, payment_id, refund_id, merchantNO } = req.body
        
        Adapay.Config.prod_mode = prod_mode
        
        let configFilePath = ''
        if (parseInt(env) === 1) { // 生产环境
            // configFilePath = resolve('./utils/merchantConfig.json')
            Adapay.Config.config_dirname = resolve('./utils/config_release')
        }else{
            // configFilePath = resolve('./utils/merchantConfigTest.json')
            Adapay.Config.config_dirname = resolve('./utils/config_test')
            Adapay.Config.base_url = "https://api-test.adapay.tech"
        }
        // Adapay.set_merchant_path(configFilePath)
        Adapay.set_group_merchant_path(merchantNO || "yifuyun")

        let obj = Utils.checkObject({
            payment_id, refund_id
        })
        
        let result = await Adapay.Refund.query(obj)
        res.json({
            message: "请求成功",
            data: result,
            code: 0
        })
    } catch (error) {
        res.json({
            message: error.toString(),
            code: -1
        })
    }
})

module.exports = router;