var express = require('express');
var router = express.Router();
var Adapay = require('../utils/sdk/adapay-sdk/pay/AdaPay')
// var Adapay = require('../Adapay-node-sdk/adapay-sdk/pay/AdaPay')
const {resolve} = require('path')

/**
 *  获取银联云闪付用户标识
 * @param {Object} kwargs 
 * 参数说明
    order_no	String(64)	Y	订单号
    app_id	String(64)	Y	商户的应用 id
    user_auth_code	String(64)	Y	用户授权码
    app_up_identifier	String(16)	Y	App 标识，通过用户请求的 userAgent 中 appUpIdentifier 截取获得，银联支付标识的格式为“UnionPay/<版本号> <App 标识>”例如 UnionPay/1.0 Cloudpay ，其中 Cloudpay 即为 App 标识

 */
router.post('/userIdentity', async function(req, res, next) {
    try {
        let { env, prod_mode, app_id, merchantNO,
            order_no, user_auth_code, app_up_identifier
        } = req.body

        Adapay.Config.prod_mode = prod_mode
        
        let configFilePath = ''
        if (parseInt(env) === 1) { // 生产环境
            // configFilePath = resolve('./utils/merchantConfig.json')
            Adapay.Config.config_dirname = resolve('./utils/config_release')
        }else{
            // configFilePath = resolve('./utils/merchantConfigTest.json')
            Adapay.Config.config_dirname = resolve('./utils/config_test')
            Adapay.Config.base_url = "https://api-test.adapay.tech"
        }
        // Adapay.set_merchant_path(configFilePath)
        Adapay.set_group_merchant_path(merchantNO || "yifuyun")

        let result = await Adapay.Union.userIdentity({
            order_no, app_id, user_auth_code, app_up_identifier
        })
        res.json({
            message: "请求成功",
            data: result,
            code: 0
        })
    } catch (error) {
        res.json({
            message: error.toString(),
            code: -1
        })
    }
});

module.exports = router;
